Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#61687 - [cryptsetup] missing 2.1.0-1 dependency on openssl

Attached to Project: Arch Linux
Opened by loqs (loqs) - Friday, 08 February 2019, 23:20 GMT
Last edited by Antonio Rojas (arojas) - Monday, 26 August 2019, 05:12 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 5
Private No

Details

Description:
The default cryptographic backend was changed from gcrypt to openssl with [1] but was not added as a dependency.

Additional info:
* cryptsetup 2.1.0-1

Steps to reproduce:
ldd /usr/lib/libcryptsetup.so | grep libcrypt
libcrypto.so.1.1 => /usr/lib/libcrypto.so.1.1 (0x00007f4f74edc000)

[1] https://gitlab.com/cryptsetup/cryptsetup/commit/bc3d0feb5cd33f9181102b418cc7bf44fe112e82
This task depends upon

Closed by  Antonio Rojas (arojas)
Monday, 26 August 2019, 05:12 GMT
Reason for closing:  Fixed
Additional comments about closing:  cryptsetup 2.2.0
Comment by Jake Kreiger (Magali75) - Tuesday, 19 February 2019, 11:04 GMT
At the same time 'libgcrypt' dep can be dropped.
Comment by Masanori Ogino (omasanori) - Thursday, 14 March 2019, 08:15 GMT
Note that adding '--with-crypto_backend=gcrypt' option to './configure' will restore the dependency if libgcrypt is preferred by maintainers.

I am happy with either approach as long as the dependency is correct, though.
(Adding '--with-crypto_backend=openssl' might be good if OpenSSL is chosen, to make sure that a similar event will never happen again.)

Loading...